--- C:\Home\Roundup-Modifications\templating.py.rel0.8.5	Tue Jan 03 14:58:56 2006
+++ C:\Home\Roundup-Modifications\templating.py	Tue Jan 03 16:26:51 2006
@@ -1653,13 +1653,14 @@
         return '<input name="%s" value="%s" size="%s">'%(self._formname,
             value, size)
 
-    def menu(self, size=None, height=None, showid=0, additional=[],
+    def menu(self, size=None, height=None, showid=0, additional=[], value=None,
             sort_on=None, **conditions):
         ''' Render a form select list for this property
 
             "size" is used to limit the length of the list labels
             "height" is used to set the <select> tag's "size" attribute
             "showid" includes the item ids in the list labels
+            "value" specifies which item is pre-selected
             "additional" lists properties which should be included in the
                 label
             "sort_on" indicates the property to sort the list on as
@@ -1676,7 +1677,8 @@
         if not self.is_edit_ok():
             return self.plain()
 
-        value = self._value
+        if value is None:
+            value = self._value
 
         linkcl = self._db.getclass(self._prop.classname)
         l = ['<select name="%s">'%self._formname]

 	  	 
